---
apiVersion: v1
kind: ConfigMap
metadata:
  labels:
    app.kubernetes.io/component: puppetboard
    app.kubernetes.io/instance: puppetserver
    app.kubernetes.io/name: puppetserver
    app.kubernetes.io/version: 8.8.0
  name: puppetboard-config
  namespace: puppet
data:
  PUPPETDB_HOST: "puppetdb"
  PUPPETDB_PORT: "8081"
  PUPPETDB_SSL_VERIFY: "/opt/puppetboard/ssl/ca.pem"
  PUPPETDB_CERT: "/opt/puppetboard/ssl/puppetboard.pem"
  PUPPETDB_KEY: "/opt/puppetboard/ssl/puppetboard.key"
  LOGLEVEL: "debug"
  PUPPETDB_TIMEOUT: "20"
  UNRESPONSIVE_HOURS: "3"
  ENABLE_CATALOG: "False"
  ENABLE_QUERY: "True"
  LOCALISE_TIMESTAMP: "True"
  OFFLINE_MODE: "True"
  DEFAULT_ENVIRONMENT: "*"
  REPORTS_COUNT: "40"
